ocaml-event-0.6.0-12.mga6.i586.rpm


Advertisement

Description

ocaml-event - An OCaml wrapper for the libevent API

Property Value
Distribution Mageia 6.0
Repository Mageia Core i586
Package name ocaml-event
Package version 0.6.0
Package release 12.mga6
Package architecture i586
Package type rpm
Installed size 16.63 KB
Download size 15.45 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
An OCaml wrapper for the libevent API. The libevent API provides a
mechanism to execute a callback function when a specific event occurs on a
file descriptor or after a timeout has been reached. Furthermore, libevent
also support callbacks due to signals or regular timeouts.
Currently, libevent supports /dev/poll, kqueue(2), select(2), poll(2) and
epoll(4). It also has experimental support for real-time signals. The
internal event mechanism is completely independent of the exposed event
API, and a simple update of libevent can provide new functionality without
having to redesign the applications. As a result, Libevent allows for
portable application development and provides the most scalable event
notification mechanism available on an operating system.

Alternatives

Package Version Architecture Repository
ocaml-event-0.6.0-12.mga6.x86_64.rpm 0.6.0 x86_64 Mageia Core
ocaml-event - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.1.3) -
libevent.so.6 -
libevent6 -
ocaml(Callback) == deb9226b3de6bdba985bad268a5b7c51
ocaml(CamlinternalFormatBasics) == 8b069fca1e4d9316b588e5554f38bb24
ocaml(Hashtbl) == bb8e269d690301a1c4ff14a08e96e83e
ocaml(Pervasives) == 0d015a5a2136659b0de431be7f1545be
ocaml(Unix) == 30a4cc8e5f4f902ea609c91caec48af7
ocaml(runtime) == 4.02.3

Provides

Name Value
ocaml(Liboevent) == a4c31d54cda21e225d42bfa10c6a0e0d
ocaml-event == 0.6.0-12.mga6
ocaml-event(x86-32) == 0.6.0-12.mga6

Download

Type URL
Binary Package ocaml-event-0.6.0-12.mga6.i586.rpm
Source Package ocaml-event-0.6.0-12.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install ocaml-event rpm package:
    # urpmi ocaml-event

Files

Path
/usr/lib/ocaml/liboevent/META
/usr/lib/ocaml/liboevent/liboevent.cma
/usr/lib/ocaml/liboevent/liboevent.cmi
/usr/lib/ocaml/stublibs/dllmloevent.so
/usr/lib/ocaml/stublibs/dllmloevent.so.owner
/usr/share/doc/ocaml-event/LICENCE
/usr/share/doc/ocaml-event/README

Changelog

2017-02-16 - mrambo3501 <mrambo3501> 0.6.0-12.mga6
+ Revision: 1086497
- set Requires to libevent6
2017-02-13 - mrambo3501 <mrambo3501> 0.6.0-11.mga6
+ Revision: 1086001
- rebuild for new libevent
2016-02-12 - umeabot <umeabot> 0.6.0-10.mga6
+ Revision: 956351
- Mageia 6 Mass Rebuild
2014-10-15 - umeabot <umeabot> 0.6.0-9.mga5
+ Revision: 749973
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 0.6.0-8.mga5
+ Revision: 683024
- Mageia 5 Mass Rebuild

See Also

Package Description
ocaml-event-devel-0.6.0-12.mga6.i586.rpm Development files for ocaml-event
ocaml-expat-0.9.1-20.mga6.i586.rpm OCaml wrapper for the Expat XML parsing library
ocaml-expat-devel-0.9.1-20.mga6.i586.rpm Development files for ocaml-expat
ocaml-expect-0.0.5-1.mga6.i586.rpm Expect-like framework
ocaml-expect-devel-0.0.5-1.mga6.i586.rpm Development files for ocaml-expect
ocaml-extlib-1.7.0-2.mga6.i586.rpm Extended Standard Library for OCaml
ocaml-extlib-devel-1.7.0-2.mga6.i586.rpm Development files for ocaml-extlib
ocaml-extunix-0.1.3-1.mga6.i586.rpm Extended functions for OCaml Unix module
ocaml-extunix-devel-0.1.3-1.mga6.i586.rpm Development files for ocaml-extunix
ocaml-facile-1.1-12.mga6.i586.rpm OCaml library for constraint programming
ocaml-facile-devel-1.1-12.mga6.i586.rpm Development files for ocaml-facile
ocaml-facile-doc-1.1-12.mga6.noarch.rpm Documentation for ocaml-facile
ocaml-fd-1.1.0-10.mga6.i586.rpm Descriptor-passing functions for OCaml
ocaml-fd-devel-1.1.0-10.mga6.i586.rpm Development files for ocaml-fd
ocaml-fetch-0.1.0-6.mga6.i586.rpm Universal fetcher for OCaml
Advertisement
Advertisement